Name:           happy
Version:        1.15
Release:        %mkrel 3
License:        BSD-like
Group:          Development/Other
URL:            http://haskell.org/happy/
Source:         http://haskell.org/happy/dist/%{version}/happy-%{version}-src.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  ghc
BuildRequires:  docbook-style-xsl
BuildRequires:  libxslt-proc
BuildRequires:  gmp-devel
#libxslt1
Summary:        The LALR(1) Parser Generator for Haskell

%description
Happy is a parser generator system for Haskell, similar to the tool
`yacc' for C. Like `yacc', it takes a file containing an annotated BNF
specification of a grammar and produces a Haskell module containing a
parser for the grammar.

Happy is flexible: you can have several Happy parsers in the same
program, and several entry points to a single grammar. Happy can work
in conjunction with a lexical analyser supplied by the user (either
hand-written or generated by another program), or it can parse a
stream of characters directly (but this isn't practical in most
cases).

Authors:
--------
    Simon Marlow <simonmar@microsoft.com>
    Andy Gill <andy@galconn.com>

# the debuginfo subpackage is currently empty anyway, so don't generate it
%define debug_package %{nil}
%define __spec_install_post /usr/lib/rpm/brp-compress

%prep
%setup -q

%build
test -f configure || autoreconf
./configure --prefix=%{_prefix} --libdir=%{_libdir}
make
make html

%install
rm -rf ${RPM_BUILD_ROOT}

make prefix=${RPM_BUILD_ROOT}%{_prefix} libdir=${RPM_BUILD_ROOT}%{_libdir}/%{name}-%{version} install

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%doc happy/ANNOUNCE
%doc happy/CHANGES
%doc happy/LICENSE
%doc happy/README
%doc happy/TODO
%doc happy/doc/happy
%doc happy/examples
%{_bindir}/happy
%{_bindir}/happy-%{version}
%{_libdir}/happy-%{version}

%changelog
* Mon Oct 03 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.15-3mdk
- Fix BuildRequires

* Mon Oct 03 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.15-2mdk
- BuildRequires fix
- Remove redundant buildrequires :
	- libxml2 is required by libxslt-proc

* Wed Jun 15 2005 Gaetan Lehmann <glehmann@deborah.mandrakesoft.com> 1.15-1mdk
- initial contrib

* Fri Jan 21 2005 Jens Petersen <petersen@haskell.org> - 1.15-2
- initial packaging based on spec file from tarball
- setup libdir for x86_64
